Package org.apache.sysds.runtime.iogen.template

## Class TemplateUtil.SplitOffsetInfos

- java.lang.Object
- - org.apache.sysds.runtime.iogen.template.TemplateUtil.SplitOffsetInfos

Enclosing class:
  TemplateUtil

    public static class TemplateUtil.SplitOffsetInfos
    extends Object

### Constructor Summary

Constructors
`SplitOffsetInfos​(int numSplits)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLenghtPerSplit​(int split)`
`int` `getOffsetPerSplit​(int split)`
`TemplateUtil.SplitInfo` `getSeqOffsetPerSplit​(int split)`
`void` `setLenghtPerSplit​(int split, int r)`
`void` `setOffsetPerSplit​(int split, int o)`
`void` `setSeqOffsetPerSplit​(int split, TemplateUtil.SplitInfo splitInfo)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SplitOffsetInfos

    public SplitOffsetInfos​(int numSplits)

### Method Detail

#### getLenghtPerSplit

    public int getLenghtPerSplit​(int split)

#### setLenghtPerSplit

    public void setLenghtPerSplit​(int split,
                                  int r)

#### getOffsetPerSplit

    public int getOffsetPerSplit​(int split)

#### setOffsetPerSplit

    public void setOffsetPerSplit​(int split,
                                  int o)

#### getSeqOffsetPerSplit

    public TemplateUtil.SplitInfo getSeqOffsetPerSplit​(int split)

#### setSeqOffsetPerSplit

    public void setSeqOffsetPerSplit​(int split,
                                     TemplateUtil.SplitInfo splitInfo)